summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-10-18 02:41:46 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-10-18 02:47:47 +0200
commit478d931dbd6fb79b0f489af11e7a8a62fe4437e7 (patch)
tree8c8ef264c0df123db1113ce7e681b9449993a972 /media-libs/libjpeg-turbo
parentmedia-sound/alsa-utils: arm64 stable (bug #749159) (diff)
downloadgentoo-478d931dbd6fb79b0f489af11e7a8a62fe4437e7.tar.gz
gentoo-478d931dbd6fb79b0f489af11e7a8a62fe4437e7.tar.bz2
gentoo-478d931dbd6fb79b0f489af11e7a8a62fe4437e7.zip
media-libs/libjpeg-turbo: add subslot
- Subslot is required for GLSA targeting. - While here, migrate 1.5.x to EAPI 7. Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'media-libs/libjpeg-turbo')
-rw-r--r--media-libs/libjpeg-turbo/libjpeg-turbo-1.5.3-r4.ebuild (renamed from media-libs/libjpeg-turbo/libjpeg-turbo-1.5.3-r3.ebuild)25
-rw-r--r--media-libs/libjpeg-turbo/libjpeg-turbo-2.0.5-r2.ebuild (renamed from media-libs/libjpeg-turbo/libjpeg-turbo-2.0.5-r1.ebuild)2
-rw-r--r--media-libs/libjpeg-turbo/metadata.xml3
3 files changed, 19 insertions, 11 deletions
diff --git a/media-libs/libjpeg-turbo/libjpeg-turbo-1.5.3-r3.ebuild b/media-libs/libjpeg-turbo/libjpeg-turbo-1.5.3-r4.ebuild
index 0c6e95570f9..7801212034d 100644
--- a/media-libs/libjpeg-turbo/libjpeg-turbo-1.5.3-r3.ebuild
+++ b/media-libs/libjpeg-turbo/libjpeg-turbo-1.5.3-r4.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit autotools libtool java-pkg-opt-2 toolchain-funcs multilib-minimal
@@ -11,26 +11,30 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
mirror://gentoo/libjpeg8_8d-2.debian.tar.gz"
LICENSE="BSD IJG ZLIB"
-SLOT="0"
+SLOT="0/0.1"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="java static-libs"
ASM_DEPEND="|| ( dev-lang/nasm dev-lang/yasm )"
+
COMMON_DEPEND="!media-libs/jpeg:0
!media-libs/jpeg:62"
-RDEPEND="${COMMON_DEPEND}
- java? ( >=virtual/jre-1.5 )"
-DEPEND="${COMMON_DEPEND}
- amd64? ( ${ASM_DEPEND} )
+
+BDEPEND="amd64? ( ${ASM_DEPEND} )
x86? ( ${ASM_DEPEND} )
amd64-fbsd? ( ${ASM_DEPEND} )
x86-fbsd? ( ${ASM_DEPEND} )
amd64-linux? ( ${ASM_DEPEND} )
x86-linux? ( ${ASM_DEPEND} )
x64-macos? ( ${ASM_DEPEND} )
- x64-cygwin? ( ${ASM_DEPEND} )
+ x64-cygwin? ( ${ASM_DEPEND} )"
+
+DEPEND="${COMMON_DEPEND}
java? ( >=virtual/jdk-1.5 )"
+RDEPEND="${COMMON_DEPEND}
+ java? ( >=virtual/jre-1.5 )"
+
MULTILIB_WRAPPED_HEADERS=( /usr/include/jconfig.h )
PATCHES=(
@@ -109,13 +113,14 @@ multilib_src_install() {
}
multilib_src_install_all() {
- find "${ED}" -name '*.la' -type f -delete || die
+ find "${ED}" -type f -name '*.la' -delete || die
- dodoc -r "${S}"/doc/html
+ docinto html
+ dodoc -r "${S}"/doc/html/*
newdoc "${WORKDIR}"/debian/changelog changelog.debian
if use java; then
- newdoc "${S}"/java/README README.java
docinto html/java
dodoc -r "${S}"/java/doc/*
+ newdoc "${S}"/java/README README.java
fi
}
diff --git a/media-libs/libjpeg-turbo/libjpeg-turbo-2.0.5-r1.ebuild b/media-libs/libjpeg-turbo/libjpeg-turbo-2.0.5-r2.ebuild
index b442ddc8b82..b56919a90a9 100644
--- a/media-libs/libjpeg-turbo/libjpeg-turbo-2.0.5-r1.ebuild
+++ b/media-libs/libjpeg-turbo/libjpeg-turbo-2.0.5-r2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
mirror://gentoo/libjpeg8_8d-2.debian.tar.gz"
LICENSE="BSD IJG ZLIB"
-SLOT="0"
+SLOT="0/0.2"
[[ "$(ver_cut 3)" -ge 90 ]] || \
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="java static-libs"
diff --git a/media-libs/libjpeg-turbo/metadata.xml b/media-libs/libjpeg-turbo/metadata.xml
index 019df7db524..fa375260076 100644
--- a/media-libs/libjpeg-turbo/metadata.xml
+++ b/media-libs/libjpeg-turbo/metadata.xml
@@ -2,6 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
+ <slots>
+ <subslots>Reflect ABI of libturbojpeg.so.</subslots>
+ </slots>
<upstream>
<remote-id type="github">libjpeg-turbo/libjpeg-turbo</remote-id>
<remote-id type="sourceforge">libjpeg-turbo</remote-id>